taverna-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stian Soiland-Reyes (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TAVERNA-883) Keep xmlschema-core and woden versions in sync
Date Mon, 18 Jan 2016 17:39:39 GMT

    [ https://issues.apache.org/jira/browse/TAVERNA-883?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15105563#comment-15105563
] 

Stian Soiland-Reyes commented on TAVERNA-883:
---------------------------------------------

Hmm.. no, even now it is unhappy - not sure why:

{code}
[WARNING] Bundle : org.apache.taverna.commonactivities:taverna-wsdl-generic:jar:2.1.0-incubating-SNAPSHOT
has unresolved package dependencies:
[WARNING]     org.apache.ws.security.message;version="[1.6.0,2.0.0)"
[WARNING]     org.apache.ws.security;version="[1.6.0,2.0.0)"
{code}


{code}
stain@biggie:~/src/taverna/incubator-taverna-commandline/taverna-commandline-product/target/apache-taverna-commandline-3.1.0-incubating-SNAPSHOT-dev/apache-taverna-commandline-3.1.0-incubating-SNAPSHOT$
sh executeworkflow.sh examples/helloworld.wfbundle
OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=400m; support was removed in
8.0
The bundle "org.apache.taverna.commonactivities.taverna-wsdl-activity_2.1.0.incubating-SNAPSHOT
[63]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.taverna.wsdl.parser;
version="[2.1.0,3.0.0)"
org.osgi.framework.BundleException: The bundle "org.apache.taverna.commonactivities.taverna-wsdl-activity_2.1.0.incubating-SNAPSHOT
[63]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.taverna.wsdl.parser;
version="[2.1.0,3.0.0)"
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:300)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:292)
	at org.apache.taverna.osgilauncher.OsgiLauncher.startBundle(OsgiLauncher.java:280)
	at org.apache.taverna.osgilauncher.OsgiLauncher.startBundles(OsgiLauncher.java:263)
	at org.apache.taverna.osgilauncher.OsgiLauncher.start(OsgiLauncher.java:169)
	at org.apache.taverna.commandline.TavernaCommandLine.main(TavernaCommandLine.java:76)
{code}

If I do "mvn dependency:tree > tree" on taverna-commandline-product then I get

{code}
[INFO] +- org.apache.taverna.commonactivities:taverna-wsdl-activity:jar:2.1.0-incubating-SNAPSHOT:compile
[INFO] |  +- org.apache.taverna.commonactivities:taverna-wsdl-generic:jar:2.1.0-incubating-SNAPSHOT:compile
[INFO] |  |  +- javax.wsdl:com.springsource.javax.wsdl:jar:1.6.1:compile
[INFO] |  |  +- org.apache.woden:woden-core:jar:1.0M10:compile
[INFO] |  |  \- org.apache.ws.xmlschema:xmlschema-core:jar:2.2.1:compile
[INFO] |  +- org.apache.ws.security:wss4j:jar:1.5.12:compile
[INFO] |  |  \- xalan:xalan:jar:2.7.1:compile
[INFO] |  |     \- xalan:serializer:jar:2.7.1:compile
[INFO] |  \- org.apache.santuario:xmlsec:jar:1.5.7:compile
{code}

but wsdl-generic depend on a newer wss4j 1.6.18:

{code}
                <dependency>
                        <groupId>org.apache.ws.security</groupId>
                        <artifactId>wss4j</artifactId>
                        <version>1.6.18</version>
                </dependency>
{code}

while taverna-wsdl-generic depend on

{code}
<version>${wss4j.version</version>
{code}


I added wss4j.version as 1.6.18 in the <properties> of taverna-common-activities/pom.xml
 (overriding 1.5.12 in taverna-parent)  and used that in both places.

This seems to have got rid of that OSGi warning when compiling taverna-commandline-product.

As wss4j is not used elsewhere I removed it from taverna-parent.

So now I can close the bug! Thanks!

> Keep xmlschema-core and woden versions in sync
> ----------------------------------------------
>
>                 Key: TAVERNA-883
>                 URL: https://issues.apache.org/jira/browse/TAVERNA-883
>             Project: Apache Taverna
>          Issue Type: Bug
>          Components: Taverna Commandline, Taverna Common Activities
>            Reporter: Stian Soiland-Reyes
>              Labels: osgi
>
> wsdl-activity uses Woden, which does not seem to have a valid OSGi bundle dependency
for org.apache.ws.security.* 
> This prevents the command line from starting up.
> Perhaps updating the Woden dependency would work? Otherwise change to embed the dependency
from wsdl-activity, as with Embed-Dependency in https://github.com/apache/incubator-taverna-common-activities/blob/master/taverna-beanshell-activity/pom.xml#L22
> {code}
> stain@biggie:~/src/taverna/incubator-taverna-commandline/taverna-commandline-product$
mvn clean install
> [INFO] Scanning for projects...
> [INFO]                                                                         
> [INFO] ------------------------------------------------------------------------
> [INFO] Building Apache Taverna Commandline Product 3.1.0-incubating-SNAPSHOT
> [INFO] ------------------------------------------------------------------------
> [WARNING] The POM for org.springframework:org.springframework.aop:jar:3.0.0.RC1 is missing,
no dependency information available
> [WARNING] The POM for org.springframework:org.springframework.core:jar:3.0.0.RC1 is missing,
no dependency information available
> [WARNING] The POM for org.springframework:org.springframework.asm:jar:3.0.0.RC1 is missing,
no dependency information available
> [WARNING] The POM for org.springframework:org.springframework.context:jar:3.0.0.RC1 is
missing, no dependency information available
> [INFO] 
> [INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ taverna-command-line-product
---
> [INFO] Deleting /home/stain/src/taverna/incubator-taverna-commandline/taverna-commandline-product/target
> [INFO] 
> [INFO] --- buildnumber-maven-plugin:1.0-beta-3:create (buildnumber-validate) @ taverna-command-line-product
---
> [INFO] Storing buildNumber: 20160111T1738 at timestamp: 1452533883811
> [INFO] 
> [INFO] --- taverna-maven-plugin:0.2.1-incubating-SNAPSHOT:profile-generate (default-profile-generate)
@ taverna-command-line-product ---
> [WARNING] Bundle : org.apache.woden:woden-core:jar:1.0M10 has unresolved package dependencies:
> [WARNING]     org.apache.ws.commons.schema.resolver;version="[2.2.0,3.0.0)"
> [WARNING]     org.apache.ws.commons.schema.utils;version="[2.2.0,3.0.0)"
> [WARNING]     org.apache.ws.commons.schema;version="[2.2.0,3.0.0)"
> [WARNING] Bundle : org.apache.taverna.commonactivities:taverna-wsdl-generic:jar:2.1.0-incubating-SNAPSHOT
has unresolved package dependencies:
> [WARNING]     org.apache.ws.security.message;version="[1.6.0,2.0.0)"
> [WARNING]     org.apache.ws.security;version="[1.6.0,2.0.0)"
> {code}
> Error on starting up:
> {code}
> stain@biggie:~/src/taverna/incubator-taverna-commandline/taverna-commandline-product/target/apache-taverna-commandline-3.1.0-incubating-SNAPSHOT-dev/apache-taverna-commandline-3.1.0-incubating-SNAPSHOT$
sh executeworkflow.sh asdf
> OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=400m; support was removed
in 8.0
> The bundle "org.apache.taverna.commonactivities.taverna-wsdl-activity_2.1.0.incubating-SNAPSHOT
[63]" could not be resolved. Reason: Missing Constraint: Import-Package: org.apache.taverna.wsdl.parser;
version="[2.1.0,3.0.0)"
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message